> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bnzgreen.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order Details

> Get details of a specific offset order



## OpenAPI

````yaml GET /offset-gateway/orders/{id}
openapi: 3.0.1
info:
  title: Offset Gateway API
  description: API specification for carbon credit purchases and offsets
  version: 1.0.0
servers:
  - url: https://api.sandbox.external.bnznow.com
    description: Sandbox server for marketplace APIs
  - url: https://api.external.bnznow.com
    description: Production server for marketplace APIs
security: []
paths:
  /offset-gateway/orders/{id}:
    get:
      tags:
        - Offset
      summary: Get Order Details
      description: Get details of a specific offset order
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
          description: API key for authentication
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Order ID
      responses:
        '200':
          description: Order details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderDetails'
        '404':
          description: Order not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    OrderDetails:
      type: object
      properties:
        order_id:
          type: string
          description: Unique identifier for the order
        emission_amount:
          type: number
          description: Amount of emissions to offset
        emission_unit:
          type: string
          description: Unit of emission measurement
        user:
          type: object
          properties:
            name:
              type: string
              description: Full name of the user
            email:
              type: string
              description: Email address of the user
            tax_id:
              type: string
              description: Tax identification number of the user
        callback_url:
          type: string
          format: uri
          description: URL to receive webhook notifications about order status changes
        payment_url:
          type: string
          format: uri
          description: URL to complete the payment
        status:
          type: string
          enum:
            - pending
            - completed
            - failed
          description: Current status of the order
        payment_status:
          type: string
          enum:
            - pending
            - completed
            - failed
          description: Status of the payment
        created_at:
          type: string
          format: date-time
          description: Order creation timestamp
        project:
          type: object
          properties:
            name:
              type: string
              description: Name of the carbon offset project
            registry:
              type: string
              description: Registry where the project is listed
            project_id:
              type: string
              description: Unique identifier of the project in the registry
            category:
              type: string
              description: Category of the carbon offset project
            type:
              type: string
              description: Type of the carbon offset project
            public_url:
              type: string
              format: uri
              description: Public URL of the project
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string

````